
#ifndef Svg_h
#define Svg_h

// $Id: Svg.h,v 1.7 2010/03/25 16:33:11 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file    Svg.h
\brief   Icon filenames
\author  Hugo Pereira
\version $Revision: 1.7 $
\date    $Date: 2010/03/25 16:33:11 $
*/


#include <QString>
#include <QPixmap>
#include <QImage>
#include <map>

#include "SvgId.h"

/*
BaseSvg is not necessary here
but it is included to avoid conflicts
between icons wrapping names
*/

//! namespace for icon static name wrappers
namespace SVG
{

    static const QString TOP_LEFT="topleft";
    static const QString TOP="top";
    static const QString TOP_RIGHT="topright";
    static const QString RIGHT="right";
    static const QString BOTTOM_RIGHT="bottomright";
    static const QString BOTTOM="bottom";
    static const QString BOTTOM_LEFT="bottomleft";
    static const QString LEFT="left";
    static const QString CENTER="center";

    static const QString OVERLAY="overlay";

    static const QString MARGIN_LEFT="hint-left-margin";
    static const QString MARGIN_RIGHT="hint-right-margin";
    static const QString MARGIN_TOP="hint-top-margin";
    static const QString MARGIN_BOTTOM="hint-bottom-margin";

    //! map size and pixmap
    typedef std::map< SvgId, QPixmap > PixmapCache;
    typedef std::map< SvgId, QImage > ImageCache;

};

#endif
