#ifndef _TaskListDialog_h_
#define _TaskListDialog_h_

// $Id: TaskListDialog.h,v 1.6 2009/09/09 02:29:48 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file TaskListDialog.h
  \brief edit task informations
  \author Hugo Pereira
  \version $Revision: 1.6 $
  \date $Date: 2009/09/09 02:29:48 $
*/



#include "CustomDialog.h"
#include "TaskAttributes.h"

class TaskListConfiguration;

//! task information editor dialog
class TaskListDialog: public CustomDialog
{

  public:

  //! constructor
  TaskListDialog(
    QWidget* parent,
    const TaskAttributes::List& attributes = TaskAttributes::List()
    );

  //! tasklist configuration
  TaskListConfiguration& taskListConfiguration( void )
  {
    assert( tasklist_configuration_ );
    return *tasklist_configuration_;
  }

  private:

  //! current tasklist configuration
  TaskListConfiguration *tasklist_configuration_;

};

#endif
